MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023021Community[OCCT] OCCT:Visualizationpublic2012-03-13 14:232012-11-16 13:16
ReporterPawel 
Assigned Todbv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023021: MeshVS_DataSource::GetNormalsByElement returns Standard_False and gives no result even when all normals are OK
DescriptionIf all normals are correctly computed using GetNodeNormal the variable 'res' is never set to Standard_True and the normals are not passed to the variable 'Normals' that is supposed to hold the result of the computation.

Suggested solution: changing the four last lines (194-197) of the method to:

  if ( res || allNormals )
    Normals = aNormals;

  return ( res || allNormals );

Patch attached.
TagsNo tags attached.
Test case numberNot needed
Attached Fileszip file icon MeshVS_DataSource_patch.ZIP (4,647 bytes) 2012-03-13 14:23

- Relationships

-  Notes
(0020384)
Pawel (developer)
2012-04-13 15:46

Corresponding branch pushed to the git repository. Please review.
(0020516)
abv (manager)
2012-05-12 16:04

The fix looks Ok, however it seems that cycle on line 163 in MeshVS_DataSource.cxx should start with k=1, not k=2. Also, having a test case is desirable.
(0020555)
san (developer)
2012-05-18 14:40

The loop index is initialized correctly by 2 at line 163: there is no need to assign the first normal in aNormals (already computed by preceding call to GetNormal()) to itself.

As for the test case, there is no easy way to implement it: meshfromstl DRAW command and related ones rely on StlMesh_MeshTriangle when getting triangle vertices and the normals, and this class does not support individual normals per vertex. Thus the only way is to implement some synthetic test command anew that generates different kinds of normals (one per node, one per element).

Branch CR23021 reviewed without remarks, ready for testing.
(0020563)
mkv (tester)
2012-05-21 17:25

Dear BugMaster,
Workbench KAS:dev:mkv-23021-occt was created from git branch CR23021
(and mkv-23021-products from svn trunk) and compiled on Linux platform.

There are not regressions in mkv-23021-products regarding to KAS:dev:products--opt
There are not improvements in mkv-23021-products regarding to KAS:dev:products--opt

See results in /QADisk/occttests/results/KAS/dev/mkv-23021-products_18052012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120415-opt_13042012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

- Related Changesets
occt: master c1338f4f
Timestamp: 2012-04-13 11:38:52
Author: Pawel
Committer: dbv
Details ] Diff ]
0023021: MeshVS_DataSource::GetNormalsByElement returns Standard_False and gives no result even when all normals are OK

If all normals are correctly computed using GetNodeNormal the variable 'res' is never set to Standard_True and the normals are not passed to the variable 'Normals' that is supposed to hold the result of the computation.
mod - src/MeshVS/MeshVS_DataSource.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-03-13 14:23 Pawel New Issue
2012-03-13 14:23 Pawel Assigned To => san
2012-03-13 14:23 Pawel File Added: MeshVS_DataSource_patch.ZIP
2012-04-13 15:45 Pawel Assigned To san => Pawel
2012-04-13 15:46 Pawel Note Added: 0020384
2012-04-13 15:46 Pawel Status new => resolved
2012-04-13 15:46 Pawel Assigned To Pawel => bugmaster
2012-04-27 12:09 Pawel Target Version 6.5.3 => 6.5.4
2012-05-12 15:10 mkv Assigned To bugmaster => abv
2012-05-12 16:04 abv Note Added: 0020516
2012-05-12 16:05 abv Assigned To abv => san
2012-05-18 14:40 san Note Added: 0020555
2012-05-18 14:40 san Assigned To san => bugmaster
2012-05-18 14:40 san Status resolved => reviewed
2012-05-18 17:57 mkv Assigned To bugmaster => mkv
2012-05-21 17:25 mkv Note Added: 0020563
2012-05-21 17:26 mkv Test case number => Not needed
2012-05-21 17:26 mkv Assigned To mkv => bugmaster
2012-05-21 17:26 mkv Status reviewed => tested
2012-05-28 14:31 dbv Changeset attached => occt master c1338f4f
2012-05-28 14:31 dbv Assigned To bugmaster => dbv
2012-05-28 14:31 dbv Status tested => verified
2012-05-28 14:31 dbv Resolution open => fixed
2012-11-16 13:15 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:16 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker